# firefox-user-chrome-css

## Overview

The `userChrome.css` presented in this repository will turn the "floating"
browser tabs in Firefox introduced by the Proton UI back into regular "tabs".
The following screenshot demonstrates this:

![screenshot](doc/screenshot.png "screenshot")

The adjustments should work for dark themes, too.

The primary source for creating the userChrome CSS was the generator provided
here:

- <https://www.userchrome.org/firefox-89-styling-proton-ui.html>

The resulting CSS was tweaked by me manually and then processed with Stylelint
to apply best CSS practises:

- <https://stylelint.io/>

## Requirements

1. Activate legacy user profile customizations:

- Run Firefox.
- Open <about:config>.
- Search for setting `toolkit.legacyUserProfileCustomizations.stylesheets`.
- Set value to `True`.

2. Locate your Firefox profile folder:

*Note:* There are multiple ways of locating your Firefox profile folder; this
one should work on all platforms.

- Run Firefox.
- Open <about:support>.
- The value of "profile directory" is the location of your active Firefox profile folder.

## Installation

3. Create new folder `chrome` in your profile folder.

4. Copy `userChrome.css` to folder `chrome` in your profile folder.

5. Restart Firefox to apply changes.

## Copyright and License

```
This software is heavily based on `firefox-89-styling-proton-ui`:

Copyright © 2022 Jefferson Scher. All Rights Reserved. CSS examples available under CC BY 4.0 or BSD-3-Clause License.

Contributions to this software were made by:

Copyright © 2025 Tilman Kranz. The CSS code in this repository is available under CC BY 4.0 or BSD-3-Clause License.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors
   may be used to endorse or promote products derived from this software
   without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS IS” AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
```
